Skip to content

Delete



POST /api/v1/notes_v2/{note_uuid}/delete

Overview

Delete a new version note.

Route Parameters

Parameter Name Type Required Description
note_uuid string Y Studio new version note UUID

Body Request Parameters

Parameter Name Type Required Description
ifMatch string Optional ETag, forwarded to NbookDB If-Match when provided
Allow empty: False

Parameter Supplementary Description

Use the note_uuid from the URL to delete the note. The request body can optionally pass ifMatch.

  • It is recommended to pass the etag from the details or the last save response as ifMatch.
  • After successful deletion, the note will no longer appear in the list.
  • Private notes can only be deleted by the creator; public notes require the current API Key to have write permissions.

Request Example

curl 'https://openapi.guance.com/api/v1/notes_v2/nbnote_xxx/delete' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"ifMatch":"etag_xxx"}'

Response

{
    "code": 200,
    "content": {
        "noteUUID": "nbnote_xxx",
        "noteName": "A"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
}

Feedback

Is this page helpful? ×